<?php

/**
 * @file
 * Definition of Drupal\yearonly\Plugin\Field\FieldFormatter\YearOnlyDefaultFormatter.
 */

namespace Drupal\yearonly\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;
use Drupal;

/**
 * Plugin implementation of the 'yearonly_default' formatter.
 *
 * @FieldFormatter (
 * id = "yearonly_default",
 * label = @Translation("Year only"),
 * field_types = {
 * "yearonly"
 * }
 * )
 */
class YearOnlyDefaultFormatter extends FormatterBase {
  /**
   *
   * {@inheritdoc}
   *
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $element = array();

    foreach ($items as $delta => $item) {
      $element[$delta] = array(
        '#type' => 'markup',
        '#markup' => $item->value
      );
    }

    return $element;
  }
}
